All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::_log::log Class Reference

Internal logging object (called by UHD_LOG macros) More...

`#include <log.hpp>`

## Public Member Functions

| log (const verbosity_t verbosity, const std::string &file, const unsigned int line, const std::string &function)
| ~log (void)
std::ostream & | operator() (void)

## Detailed Description

Internal logging object (called by UHD_LOG macros)

## Constructor & Destructor Documentation

uhd::_log::log::log | ( | const verbosity_t | verbosity,
|  | const std::string & | file,
|  | const unsigned int | line,
|  | const std::string & | function
| ) |  |

uhd::_log::log::~log | ( | void |  | ) |

## Member Function Documentation

std::ostream& uhd::_log::log::operator() | ( | void |  | ) |

The documentation for this class was generated from the following file:

- include/uhd/utils/log.hpp